> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/credit-memo/list-credit-memo-attachments.md).

# List credit memo attachments

## Retrieves a list of credit memo attachments.

> Returns all attachments associated with the credit memo specified in the route parameter (e.g., CRD-3295-7900-0234).\
> Supports OData query parameters for filtering, sorting, and pagination.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.9.245-gd8302a06"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/billing/credit-memos/{creditMemoId}/attachments":{"get":{"tags":["CreditMemoAttachments"],"summary":"Retrieves a list of credit memo attachments.","description":"Returns all attachments associated with the credit memo specified in the route parameter (e.g., CRD-3295-7900-0234).\nSupports OData query parameters for filtering, sorting, and pagination.","parameters":[{"name":"creditMemoId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditMemoAttachmentListResponse"}}}}}}}},"components":{"schemas":{"CreditMemoAttachmentListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/CreditMemoAttachment"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"CreditMemoAttachment":{"type":"object","properties":{"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string","description":"Name of the attachment."},"type":{"allOf":[{"$ref":"#/components/schemas/BillingAttachmentType"}],"description":"Specifies the type of the attachment, such as input, output, or general attachment."},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."},"description":{"type":"string","description":"Provides a description of the attachment."},"isDeleted":{"type":"boolean","description":"Indicates whether the attachment has been marked as deleted."},"id":{"type":"string","description":"The unique identifier of the attachment."},"creditMemo":{"type":"object","allOf":[{"$ref":"#/components/schemas/CreditMemoRef"}]},"isExternal":{"type":"boolean","description":"Indicates whether the attachment is stored externally"}},"additionalProperties":false,"description":"Represents an attachment associated with a credit memo in the billing system."},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"BillingAttachmentType":{"enum":["Attachment","Input","Output"],"type":"string","description":"Represents the type of billing attachment."},"CreditMemoRef":{"type":"object","properties":{"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the credit memo."}},"additionalProperties":false,"description":"Represents a credit memo in the billing system."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/credit-memo/list-credit-memo-attachments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
